Name: bubblewrap
Summary: Core execution tool for unprivileged containers
Group: Security
Version: 0.1.8
Release: %mkrel 1
License: LGPLv2+
URL: https://github.com/projectatomic/bubblewrap
Source0: %{url}/releases/download/v%{version}/%{name}-%{version}.tar.xz

# We always run autogen.sh
BuildRequires: gcc
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: pkgconfig(libcap)
BuildRequires: pkgconfig(libselinux)
BuildRequires: xsltproc
BuildRequires: docbook-style-xsl

%description
Bubblewrap (/usr/bin/bwrap) is a core execution engine for unprivileged
containers that works as a setuid binary on kernels without
user namespaces.

%prep
%autosetup -p1

%build
if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi
%configure2_5x --disable-silent-rules --with-priv-mode=none

%make_build

%install
%make_install INSTALL="install -p -c"

find %{buildroot} -name '*.la' -delete -print

%files
%license COPYING
%{_datadir}/bash-completion/completions/bwrap
%{_bindir}/bwrap
%{_mandir}/man1/*



%changelog
* Thu Apr 27 2017 ngompa <ngompa> 0.1.8-1.mga6
+ Revision: 1097786
- Update to 0.1.8

* Sun Jan 29 2017 ngompa <ngompa> 0.1.7-1.mga6
+ Revision: 1084101
- Upgrade to 0.1.7 (Resolves CVE-2017-5226)

* Mon Jan 16 2017 ngompa <ngompa> 0.1.6-1.mga6
+ Revision: 1082027
- Upgrade to v0.1.6

* Tue Dec 13 2016 ngompa <ngompa> 0.1.4-1.mga6
+ Revision: 1074437
- Upgrade to 0.1.4

* Wed Oct 26 2016 ngompa <ngompa> 0.1.3-1.mga6
+ Revision: 1063585
- Upgrade to 0.1.3

* Fri Oct 14 2016 ngompa <ngompa> 0.1.2-2.mga6
+ Revision: 1060792
- Add patch to mitigate CVE-2016-8659 (mga#19579, rhbz#1384393)

* Sun Sep 25 2016 ngompa <ngompa> 0.1.2-1.mga6
+ Revision: 1055951
- Upgrade to 0.1.2

* Mon Aug 01 2016 ngompa <ngompa> 0.1.1-3.mga6
+ Revision: 1044196
- imported package bubblewrap

